package cn.hmsoft;

import org.apache.log4j.Logger;
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

/**
 * 
 * @author zq
 *
 */
public class App extends Application {

	private Logger LOGGER = Logger.getLogger(App.class);
	
    public static void main(String[] args ) {
    	launch(args);
    }

	@Override
	public void start(Stage primaryStage) throws Exception {
		try {
			FXMLLoader loader = new FXMLLoader();
			loader.setLocation(getClass().getResource("/view/LoginView.fxml"));
			Parent root = (Parent)loader.load();
			Scene scene = new Scene(root, 600, 300);
			primaryStage.setScene(scene);
			primaryStage.show();
		} catch(Exception e) {
			LOGGER.error(e);
		}
	}
    
}
